# Class CIM_OOBAlertServiceOnNetworkAdapter
extends CIM_DeviceServiceImplementation

Note: The use of CIM_OOBAlertServiceOnNetworkAdapter has been deprecated because NetworkAdapter has been deprecated. Instead use the CIM_OOBAlertServiceOnNetworkPort class. Deprecated description: OOBAlertServiceOnNetworkAdapter defines where the out-of-band alerting Service is implemented.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_DeviceServiceImplementation
|
+--CIM_OOBAlertServiceOnNetworkAdapter

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_OOBAlertServiceOnNetworkPort
Description | string | Note: The use of CIM_OOBAlertServiceOnNetworkAdapter has been deprecated because NetworkAdapter has been deprecated. Instead use the CIM_OOBAlertServiceOnNetworkPort class. Deprecated description: OOBAlertServiceOnNetworkAdapter defines where the out-of-band alerting Service is implemented.
UMLPackagePath | string | CIM::Device::NetworkAdapter
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_OOBAlertServiceOnNetworkAdapter | CIM_NetworkAdapter
Dependent | CIM_OOBAlertServiceOnNetworkAdapter | CIM_OOBAlertService

## Class Methods